Users Addresses Update
Update an address in an existing customer.
Authorization
oauth2 users:writeGenerate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: users:write
Path Parameters
A unique integer value identifying this User address.
A unique integer value identifying this User address.
Header Parameters
"2023-02-10"Value in
- "2023-02-10"
Response Body
application/json
curl -X PUT "https://example.com/users/0/addresses/0/" \ -H "X-29next-API-Version: 2023-02-10" \ -H "Content-Type: application/json" \ -d '{ "country": "string", "line1": "string", "line4": "string" }'{ "country": "string", "first_name": "string", "id": 0, "is_default_for_billing": true, "is_default_for_shipping": true, "last_name": "string", "line1": "string", "line2": "string", "line3": "string", "line4": "string", "notes": "string", "phone_number": "string", "postcode": "string", "state": "string"}